
--前往德州
local GoToTexas = 1
--前往奥马哈
local GoToOMaHa = 2
--前往老虎机
local GoToSlot = 3

local GoToFruit = 1 			--打开水果机页面
local GoToMoneySlot = 2 		--打开金币老虎机选择页面
local GoToDZ = 3 				--打开德州匹配
local GoToOMAHA = 4				--打开奥马哈匹配
local GoToStageSlot  = 5 		--打开关卡老虎机
local GoToEMoneySlot = 6 		--打开天石老虎机
local GoToToubao= 8				--打开骰宝

--自动寻路目的地配置
local AutoRunPos = {
	-- 与GoToTexas GoToOMaHa GoToSlot对应
	[1] ={
		x = 205,
		y = 126,
	},
	[2] ={
		x = 320,
		y = 312,
	},
	[3] ={
		x = 182,
		y = 124,
	},
}

--成就任务配置
local AchievementTask = {
	[0] = {
		taskId = 9301, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_TEXAS_GAME", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "100", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[1] = {
		taskId = 9302, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_TEXAS_GAME", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "100", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[2] = {
		taskId = 9303, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_TEXAS_GAME", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "100", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[3] = {
		taskId = 9304, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_TEXAS_GAME", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "500", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[4] = {
		taskId = 9305, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_TEXAS_GAME", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "1000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[5] = {
		taskId = 9306, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_TEXAS_GAME", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "2000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[6] = {
		taskId = 9307, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_TEXAS_GAME", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "3000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[7] = {
		taskId = 9308, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_TEXAS_GAME", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "5000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[8] = {
		taskId = 9401, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "500", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[9] = {
		taskId = 9402, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "2500", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[10] = {
		taskId = 9403, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "5000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[11] = {
		taskId = 9404, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "25000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[12] = {
		taskId = 9405, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "50000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[13] = {
		taskId = 9406, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "100000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[14] = {
		taskId = 9407, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "250000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[15] = {
		taskId = 9408, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "500000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[16] = {
		taskId = 9409, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "1000000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
	[17] = {
		taskId = 9410, --任务ID
		des = "STR_PROCESS_TASK_TYPE_SERVER_ALL_TOTAL_WIN", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "2500000", --钱币
		funId = GoToTexas,  --前往某个区域
	},
}

--七日任务配置
local SeventDayCfg = {
	-- [0] = {
		-- taskId = 9201, --任务ID
		-- moneyDes= "1000", --钱币
		-- funId = GoToTexas,  --前往某个区域
	-- },
	-- [1] = {
		-- taskId = 9202, --任务ID
		-- moneyDes= "1000", --钱币
		-- funId = GoToTexas,  --前往某个区域
	-- },
	-- [2] = {
		-- taskId = 9203, --任务ID
		-- moneyDes= "1000", --钱币
		-- funId = GoToTexas,  --前往某个区域
	-- },
	-- [3] = {
		-- taskId = 9204, --任务ID
		-- moneyDes= "1000", --钱币
		-- funId = GoToTexas,  --前往某个区域
	-- },
	-- [4] = {
		-- taskId = 9205, --任务ID
		-- moneyDes= "1000", --钱币
		-- funId = GoToTexas,  --前往某个区域
	-- },
	-- [5] = {
		-- taskId = 9206, --任务ID
		-- moneyDes= "1000", --钱币
		-- funId = GoToTexas,  --前往某个区域
	-- },
	-- [6] = {
		-- taskId = 9207, --任务ID
		-- moneyDes= "1000", --钱币
		-- funId = GoToTexas,  --前往某个区域
	-- },
}

--获取任务信息配置
local function GetTaskInfoCfg(taskId,key)
	if taskId == nil or key == nil  then
		return
	end
	
	for k,v in pairs(AchievementTask) do
		if v.taskId == taskId then
			return v[key]
		end
	end
end

--根据taskId知道是否是博弈活动任务
local function GetIsTask(taskId)
	if taskId == nil then
		return false
	end
	
	for k,v in pairs(AchievementTask) do
		if v.taskId == taskId then
			return true
		end
	end

	for k,v in pairs(SeventDayCfg) do
		if v.taskId == taskId then
			return true
		end
	end

	return false
end

--获取成就任务个数
local function GetAchievementTaskCount()
	local count = 0
	for k,v in pairs(AchievementTask) do
		count = count + 1
	end
	return count
end

--获取成就任务信息
local function GetAchievementTaskCfg(index,key)
	if index == nil or key == nil then
		return
	end
	
	local tab = AchievementTask[index]
	if tab == nil then
		return
	end
	
	if tab[key] == nil then
		return
	end
	
	return tab[key]
end

--是否是成就任务
local function IsAchievementTask(idTask)
	if idTask == nil then
		return false
	end
	
	for k,v in pairs(AchievementTask) do
		if v.taskId == idTask then
			return true
		end
	end
	return false
end

--任务按钮配置
local taskBtnCfg = {
	["canGet"] = "Sqboyi_SqlingquBtn", --成就可以领取按钮路径
	["noget"] = "Sqboyi_Yilingqu3Pic",  --成就不可以领取按钮路径
	["go"] = "Sqboyi_SqqianwangBtn",	-- 成就去完场按钮路径
	["sevenday_get"] = "Sqboyi_SqylBtn", --七日任务可以领取奖励按钮
	["sevenday_Day7_get"] = "Sqboyi_SqchengBtn", --七日任务第七日可以领取奖励按钮
	["sevenday_tomorrow"] = "Sqboyi_Yilingqu1Pic", --七日任务未达成条件按钮
}

--获取任务按钮配置
local function GetTaskBtnCfg(key)
	if key == nil or taskBtnCfg[key] == nil then
		return
	end
	return taskBtnCfg[key]
end

--获取任务按钮配置
local function GetAutoRunPos(opetion, key)
	if key == nil or AutoRunPos[opetion][key] == nil then
		return
	end
	return AutoRunPos[opetion][key]
end

--获取七日任务配置
local function GetSeventDayTaskCfg(index,key)
	if index == nil or key == nil then
		return
	end
	
	if SeventDayCfg[index] == nil or SeventDayCfg[index][key] == nil then
		return
	end
	
	return SeventDayCfg[index][key]
end

--是否是七日任务
local function IsSeventDayTask(idTask)
	if idTask == nil then
		return false
	end
	
	for k,v in pairs(SeventDayCfg) do
		if v.taskId == idTask then
			return true
		end
	end
	return false
end

--日常任务配置
local ActivityDailyTask = {
	--德州单局下注2000
	  [7] = {
		taskId = 7, --任务ID
		des = "STR_PROCESS_TASK_TYPE_DAILYTASK_7", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "1K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "2,000", --任务描述的参数，比如 打1局游戏
		awardItemIndex=1,		--奖励物品模板ID
	},
	--赢一局德州
		[8] = {
		taskId = 8, --任务ID
		des = "STR_PROCESS_TASK_TYPE_DAILYTASK_8", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "500", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=1,		--奖励物品模板ID
	},
	--参与2把德州对局
		[9] = {
		taskId = 9, --任务ID
		des = "STR_PROCESS_TASK_TYPE_DAILYTASK_9", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "500", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "2", --任务描述的参数，比如 打1局游戏
		awardItemIndex=1,		--奖励物品模板ID
	},
	--使用交互道具1次
		[10] = {
		taskId = 10, --任务ID
		des = "STR_PROCESS_TASK_TYPE_DAILYTASK_10", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "1K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=1,		--奖励物品模板ID
	},
	--拿到10次一对牌型
		[35] = {
		taskId = 35, --任务ID
		des = "STR_PROCESS_TASK_TYPE_DAILYTASK_35", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "2K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "10", --任务描述的参数，比如 打1局游戏
		awardItemIndex=2,		--奖励物品模板ID
	},
	
}

--新手任务配置
local ActivityNewTask = {
	--参与3把德州对局
	[11] = {
		taskId = 11, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_11", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "1K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "3", --任务描述的参数，比如 打1局游戏
		awardItemIndex=2,		--奖励物品模板ID
	},
	--德州拿到5次一对牌型
	[12] = {
		taskId = 12, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_12", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "1K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "5", --任务描述的参数，比如 打1局游戏
		awardItemIndex=3,		--奖励物品模板ID
	},
	--德州拿到2次两对牌型
	[13] = {
		taskId = 13, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_13", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "1K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "2", --任务描述的参数，比如 打1局游戏
		awardItemIndex=3,		--奖励物品模板ID
	},
	--德州牌型三张
	[14] = {
		taskId = 14, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_14", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "2K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=3,		--奖励物品模板ID
	},
	--德州牌型顺
	[15] = {
		taskId = 15, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_15", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "2K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=4,		--奖励物品模板ID
	},
	--德州牌型同花
	[16] = {
		taskId = 16, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_16", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "3K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=4,		--奖励物品模板ID
	},
	--德州牌型葫芦
	[17] = {
		taskId = 17, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_17", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "3.5K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=4,		--奖励物品模板ID
	},
	--德州牌型炸弹
	[18] = {
		taskId = 18, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_18", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "50K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=4,		--奖励物品模板ID
	},
	--德州牌型同花顺
	[19] = {
		taskId = 19, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_19", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "350K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=4,		--奖励物品模板ID
	},
	--德州牌型皇家同花顺
	[20] = {
		taskId = 20, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_20", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "3KK", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=2,		--奖励物品模板ID
	},
	--德州CHECK
	[21] = {
		taskId = 21, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_21", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "100", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=2,		--奖励物品模板ID
	},
	--德州RASIE
	[22] = {
		taskId = 22, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_22", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "100", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=2,		--奖励物品模板ID
	},
	--德州ALLIN
	[23] = {
		taskId = 23, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_23", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "100", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=2,		--奖励物品模板ID
	},
	--累计下注金币1500
	[24] = {
		taskId = 24, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_24", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "100", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1,500", --任务描述的参数，比如 打1局游戏
		awardItemIndex=5,		--奖励物品模板ID
	},
	--累计下注金币3000
	[25] = {
		taskId = 25, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_25", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "300", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "3,000", --任务描述的参数，比如 打1局游戏
		awardItemIndex=5,		--奖励物品模板ID
	},
	--累计下注金币4500
	[26] = {
		taskId = 26, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_26", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "500", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "4,500", --任务描述的参数，比如 打1局游戏
		awardItemIndex=5,		--奖励物品模板ID
	},
	--累计下注金币6000
	[27] = {
		taskId = 27, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_27", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "1K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "6,000", --任务描述的参数，比如 打1局游戏
		awardItemIndex=5,		--奖励物品模板ID
	},
	--累计下注金币50000
	[28] = {
		taskId = 28, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_28", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "2K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "50,000", --任务描述的参数，比如 打1局游戏
		awardItemIndex=5,		--奖励物品模板ID
	},
	--累计下注金币200000
	[29] = {
		taskId = 29, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_29", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "5K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "200,000", --任务描述的参数，比如 打1局游戏
		awardItemIndex=5,		--奖励物品模板ID
	},
	--累计下注金币500000
	[30] = {
		taskId = 30, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_30", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "10K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "500,000", --任务描述的参数，比如 打1局游戏
		awardItemIndex=5,		--奖励物品模板ID
	},
	--累计下注金币1000000
	[31] = {
		taskId = 31, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_31", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "50K", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1,000,000", --任务描述的参数，比如 打1局游戏
		awardItemIndex=5,		--奖励物品模板ID
	},
	--参与一把德州对局
	[32] = {
		taskId = 32, --任务ID
		des = "STR_PROCESS_TASK_TYPE_NEWTASK_32", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes= "500", --钱币
		funId = GoToQuickStart,  --前往某个界面
		des_param = "1", --任务描述的参数，比如 打1局游戏
		awardItemIndex=1,		--奖励物品模板ID
	},
	-- --资源包下载奖励
	-- [33] = {
		-- taskId = 33, --任务ID
		-- des = "STR_PROCESS_TASK_TYPE_NEWTASK_33", --任务描述
		-- moneyIcon="Sqitem_SeggPic", --钱币图标
		-- moneyDes= "10", --钱币
		-- funId = GoToQuickStart,  --前往某个界面
		-- des_param = "", --任务描述的参数，比如 打1局游戏
		-- awardItemIndex=2,		--奖励物品模板ID
	-- },
	-- -- 资源包下载奖励
	-- [34] = {
		-- taskId = 34, --任务ID
		-- des = "STR_PROCESS_TASK_TYPE_NEWTASK_34", --任务描述
		-- moneyIcon="Sqitem_ScoffeePic", --钱币图标
		-- moneyDes= "10", --钱币
		-- funId = GoToQuickStart,  --前往某个界面
		-- des_param = "", --任务描述的参数，比如 打1局游戏
		-- awardItemIndex=3,		--奖励物品模板ID
	-- },
	
}

--获取日常任务信息配置
local function GetDailyTaskInfoCfg(taskId,key)
	if taskId == nil or key == nil  then
		return
	end
	
	for k,v in pairs(ActivityDailyTask) do
		if v.taskId == taskId then
			return v[key]
		end
	end
end

--获取日常任务个数
local function GetDailyTaskCount()
	local count = 0
	for k,v in pairs(ActivityDailyTask) do
		count = count + 1
	end
	return count
end

--获取新手任务个数
local function GetNewTaskCount()
	local count = 0
	for k,v in pairs(ActivityNewTask) do
		count = count + 1
	end
	return count
end

--获取新手任务信息配置
local function GetNewTaskInfoCfg(taskId,key)
	if taskId == nil or key == nil then
		return
	end
	
	for k,v in pairs(ActivityNewTask) do
		if v.taskId == taskId then
			return v[key]
		end
	end
end

local ActivityTimeTask = {
	-- 博弈活动主界面限时活动按钮倒计时动态偏移量
	["LimitTimeBtnOffsetY"] = {
		-- 限时活动按钮第N个位置时，Y值相对第一个位置的偏移量
		[0] = 0,
		[1] = 70,
		[2] = 138,
		[3] = 208,
		[4] = 278,
		[5] = 348,
	},
	
	-- 限时活动任务信息
	[0] = {
		taskId = 48, --任务ID
		des="STR_PROCESS_TASK_TYPE_NEW_TASK_9001", --任务描述
		moneyIcon="Sqboyi_Sqyuanbao1Pic", --钱币图标
		moneyDes="1,000", -- 钱币
		funId = GoToTexas, -- 前往某个区域
		des_param = "1", -- 任务描述参数，比如 打1局游戏
	},
	 
}

--获取限时任务个数
local function GetLimitTimeTaskCount()
      local count = 0
      for k,v in pairs (ActivityTimeTask) do
            count = count + 1
      end
      return count
end

--获取限时任务时间偏移量
local function GetLimitTimeBtnOffsetY(index)
      local value = ActivityTimeTask["LimitTimeBtnOffsetY"][index]
      if (value ~= nil) then
            return value
      end
      return 0
end

--获取限时任务信息配置
local function GetLimitTimeTaskInfoCfg(taskId, key)
     if taskId == nil or key == nil then
        return
     end
     for k,v in pairs (ActivityTimeTask) do
            if v.taskId == taskId then
               return v[key]
            end
      end
end

--限时活动任务配置
local ActivityLimitTime = {
	[0] = {
		taskId = 42, --任务ID
		des = "STR_DAILY_TASK_TYPE_NEW_TASK_PLAY", --任务描述
		des_param = "100", --任务描述的参数，比如 打1局游戏
		activityId = 1,	--活动ID
		awardNum = 1,
		awardItem1Ani = "shixianshi_yuanPic",
		awardItem1Num = 1000,
		-- awardItem2Ani = "shixianshi_yuanPic",
		-- awardItem2Num = 1000,
		-- awardItem3Ani = "shixianshi_yuanPic",
		-- awardItem3Num = 1000,
		actionGo = GoToDZ,
	},
	[1] = {
		taskId = 43, --任务ID
		des = "STR_NEWTEXAS_CARDTYPE_STR_9", --任务描述
		des_param = "1", --任务描述的参数，比如 打1局游戏
		activityId = 1,	--活动ID
		awardNum = 1,
		awardItem1Ani = "shixianshi_yuanPic",
		awardItem1Num = 5000,
		-- awardItem2Ani = "shixianshi_yuanPic",
		-- awardItem2Num = 1000,
		-- awardItem3Ani = "shixianshi_yuanPic",
		-- awardItem3Num = 1000,
		actionGo = GoToDZ,
	},
	[2] = {
		taskId = 44, --任务ID
		des = "STR_PROCESS_TASK_TYPE_DAILY_WIN_MONEY_9002", --任务描述
		des_param = "1kkk", --任务描述的参数，比如 打1局游戏
		activityId = 1,	--活动ID
		awardNum = 1,
		awardItem1Ani = "shixianshi_yuanPic",
		awardItem1Num = 10000,
		-- awardItem2Ani = "shixianshi_yuanPic",
		-- awardItem2Num = 1000,
		-- awardItem3Ani = "shixianshi_yuanPic",
		-- awardItem3Num = 1000,
		actionGo = GoToDZ,
	},
	[3] = {
		taskId = 1, --任务ID
		activityId = 1,	--活动ID
		awardNum = 1,
		awardItem1Ani = "shixianshi_yuanPic",
		awardItem1Num = 100000000,
		-- awardItem2Ani = "shixianshi_yuanPic",
		-- awardItem2Num = 1000,
		-- awardItem3Ani = "shixianshi_yuanPic",
		-- awardItem3Num = 1000,
	},
	[4] = {
		taskId = 45, --任务ID
		des = "STR_DAILY_TASK_TYPE_NEW_TASK_PLAY", --任务描述
		des_param = "50", --任务描述的参数，比如 打1局游戏
		activityId = 2,	--活动ID
		awardNum = 1,
		awardItem1Ani = "shixianshi_yuanPic",
		awardItem1Num = 1000,
		-- awardItem2Ani = "shixianshi_yuanPic",
		-- awardItem2Num = 1000,
		-- awardItem3Ani = "shixianshi_yuanPic",
		-- awardItem3Num = 1000,
		actionGo = GoToDZ,
	},
	[5] = {
		taskId = 46, --任务ID
		des = "STR_NEWTEXAS_CARDTYPE_STR_8", --任务描述
		des_param = "1", --任务描述的参数，比如 打1局游戏
		activityId = 2,	--活动ID
		awardNum = 1,
		awardItem1Ani = "shixianshi_yuanPic",
		awardItem1Num = 5000,
		-- awardItem2Ani = "shixianshi_yuanPic",
		-- awardItem2Num = 1000,
		-- awardItem3Ani = "shixianshi_yuanPic",
		-- awardItem3Num = 1000,
		actionGo = GoToDZ,
	},
	[6] = {
		taskId = 47, --任务ID
		des = "STR_PROCESS_TASK_TYPE_DAILY_WIN_MONEY_9002", --任务描述
		des_param = "1kkk", --任务描述的参数，比如 打1局游戏
		activityId = 2,	--活动ID
		awardNum = 1,
		awardItem1Ani = "shixianshi_yuanPic",
		awardItem1Num = 10000,
		-- awardItem2Ani = "shixianshi_yuanPic",
		-- awardItem2Num = 1000,
		-- awardItem3Ani = "shixianshi_yuanPic",
		-- awardItem3Num = 1000,
		actionGo = GoToDZ,
	},
	[7] = {
		taskId = 2, --任务ID
		activityId = 2,	--活动ID
		awardNum = 1,
		awardItem1Ani = "shixianshi_yuanPic",
		awardItem1Num = 50000000,
		-- awardItem2Ani = "shixianshi_yuanPic",
		-- awardItem2Num = 1000,
		-- awardItem3Ani = "shixianshi_yuanPic",
		-- awardItem3Num = 1000,
	},

}

--限时活动配置
local ActivityLimitCfg = {
	[1] = {
		["time"] = "2022.01.18 - 2022.01.31", --活动时间
		["awardMoney"] = 100000000 --奖励金钱 
	},
	[2] = {
		["time"] = "2022.02.01 - 2022.02.14", --活动时间
		["awardMoney"] = 50000000 --奖励金钱 
	},
	
}

--获取限时活动信息配置
local function GetLimitTimeActivityCfg(taskId,key)
	if taskId == nil or key == nil then
		return
	end
	
	for k,v in pairs(ActivityLimitTime) do
		if v.taskId == taskId then
			return v[key]
		end
	end
end

local function GetActivityLimitCfg(key,taskId)
	local activityId = GetLimitTimeActivityCfg(taskId,"activityId")
	local tab = ActivityLimitCfg[activityId]
	if tab == nil then
		return
	end
	return tab[key]
end

--任务类型
local COP_TASK_TYPE = {
	COP_TASK_TYPE_LIMIT_TIME= 1,				--限时活动任务
	COP_TASK_TYPE_NEWBIE = 2,					--新手任务
	COP_TASK_TYPE_DAILY = 3,					--日常任务
	COP_TASK_TYPE_GAME_DAILY = 4,				--局内日常任务
	COP_TASK_TYPE_REPAY = 5,					--COP玩家补偿金
	COP_TASK_TYPE_GUIDE = 6,					--引导任务
	COP_TASK_TYPE_SPREAD = 11,					--推广活动
	COP_TASK_TYPE_SPREAD_SUB = 12,				--推广活动子任务
	COP_TASK_TYPE_END = 13,
	COP_TASK_TYPE_ACHEVEMENT = 1000,			--成就任务
	COP_TASK_TYPE_SEVENT = 1001,				--七日任务
}

--是否有任务配置
local function IsHaveTaskCfg(taskType, taskId)
	if taskType == COP_TASK_TYPE.COP_TASK_TYPE_LIMIT_TIME then
		if GetLimitTimeTaskInfoCfg(taskId, "taskId") ~= nil then
			return true
		end
	end
	
	if taskType == COP_TASK_TYPE.COP_TASK_TYPE_NEWBIE then
		if GetNewTaskInfoCfg(taskId, "taskId") ~= nil then
			return true
		end
	end
	
	if taskType == COP_TASK_TYPE.COP_TASK_TYPE_DAILY then
		if GetDailyTaskInfoCfg(taskId, "taskId") ~= nil then
			return true
		end
	end
	
	-- if taskType == COP_TASK_TYPE.COP_TASK_TYPE_GAME_DAILY then
		-- if GetTableTaskInfoCfg(taskId, "taskId") ~= nil then
			-- return true
		-- end
	-- end
	
	-- if taskType == COP_TASK_TYPE.COP_TASK_TYPE_ACHEVEMENT then
		-- if IsAchievementTask(taskId) == true then
			-- return true
		-- end
	-- end
	
	-- if taskType == COP_TASK_TYPE.COP_TASK_TYPE_SEVENT then
		-- if IsSeventDayTask(taskId) == true then
			-- return true
		-- end
	-- end
	
	return false
end

--成就任务信息 
local TrophyTaskCfg = {
	--id需与[]中序号一致，对应服务端cq_trophy_type数据
	--成就id,  --成就类型 --成就等级--需要完成的数量
	[13] =		{id = 13, 		typeid = 1,		level = 0 ,num = 2,},
	[1] =		{id = 1, 		typeid = 1,		level = 1 ,num = 2,},
	[2] =		{id = 2, 		typeid = 1,		level = 2 ,num = 5,},
	[3] =		{id = 3, 		typeid = 1,		level = 3 ,num = 10,},
	[4] =		{id = 4, 		typeid = 1,		level = 4 ,num = 20,},
	[5] =		{id = 5, 		typeid = 1,		level = 5 ,num = 35,},
	[6] =		{id = 6, 		typeid = 1,		level = 6 ,num = 50,},
	[7] =		{id = 7, 		typeid = 1,		level = 7 ,num = 90,},
	[8] =		{id = 8, 		typeid = 1,		level = 8 ,num = 150,},
	[9] =		{id = 9, 		typeid = 1,		level = 9 ,num = 250,},
	[10] = 		{id = 10,		typeid = 1,		level = 10,num = 450,},
	[11] = 		{id = 11, 		typeid = 1,		level = 11,num = 700,},
	[12] = 		{id = 12, 		typeid = 1, 		level = 12,num = 999,},
	[100] = 	{id = 100, 	typeid = 2, 		level = 0 ,num = 2,},
	[101] = 	{id = 101, 	typeid = 2, 		level = 1 ,num = 2,},
	[102] = 	{id = 102, 	typeid = 2, 		level = 2 ,num = 5,},
	[103] = 	{id = 103, 	typeid = 2, 		level = 3 ,num = 10,},
	[104] = 	{id = 104, 	typeid = 2, 		level = 4 ,num = 20,},
	[105] = 	{id = 105, 	typeid = 2, 		level = 5 ,num = 35,},
	[106] = 	{id = 106, 	typeid = 2, 		level = 6 ,num = 50,},
	[107] = 	{id = 107, 	typeid = 2, 		level = 7 ,num = 90,},
	[108] = 	{id = 108, 	typeid = 2, 		level = 8 ,num = 150,},
	[109] = 	{id = 109, 	typeid = 2,		level = 9 ,num = 250,},
	[110] = 	{id = 110, 	typeid = 2,		level = 10,num = 450,},
	[111] =	 	{id = 111, 	typeid = 2,		level = 11,num = 700,},
	[112] = 	{id = 112, 	typeid = 2,		level = 12,num = 999,},
	[200] = 	{id = 200, 	typeid = 3,		level = 0 ,num = 2,},
	[201] = 	{id = 201, 	typeid = 3,		level = 1 ,num = 2,},
	[202] =	 {id = 202,	 typeid = 3,		level = 2 ,num = 5,},
	[203] = 	{id = 203,	 typeid = 3,		level = 3 ,num = 10,},
	[204] = 	{id = 204,	 typeid = 3,		level = 4 ,num = 20,},
	[205] = 	{id = 205,	 typeid = 3,		level = 5 ,num = 35,},
	[206] = 	{id = 206,	 typeid = 3,		level = 6 ,num = 50,},
	[207] = 	{id = 207,	 typeid = 3,		level = 7 ,num = 90,},
	[208] = 	{id = 208,	 typeid = 3,		level = 8 ,num = 150,},
	[209] = 	{id = 209,	 typeid = 3,		level = 9 ,num = 250,},
	[210] = 	{id = 210, 	typeid = 3,		level = 10,num = 450,},
	[211] = 	{id = 211, 	typeid = 3,		level = 11,num = 700,},
	[212] = 	{id = 212, 	typeid = 3,		level = 12,num = 999,},
	[300] = 	{id = 300, 	typeid = 4,		level = 0 ,num = 2,},
	[301] = 	{id = 301, 	typeid = 4,		level = 1 ,num = 2,},
	[302] = 	{id = 302, 	typeid = 4,		level = 2 ,num = 5,},
	[303] = 	{id = 303, 	typeid = 4,		level = 3 ,num = 10,},
	[304] = 	{id = 304, 	typeid = 4,		level = 4 ,num = 20,},
	[305] = 	{id = 305, 	typeid = 4,		level = 5 ,num = 35,},
	[306] = 	{id = 306, 	typeid = 4, 		level = 6 ,num = 50,},
	[307] = 	{id = 307, 	typeid = 4, 		level = 7 ,num = 90,},
	[308] = 	{id = 308, 	typeid = 4, 		level = 8 ,num = 150,},
	[309] = 	{id = 309, 	typeid = 4, 		level = 9 ,num = 250,},
	[310] = 	{id = 310, 	typeid = 4, 		level = 10,num = 450,},
	[311] = 	{id = 311, 	typeid = 4, 		level = 11,num = 700,},
	[312] = 	{id = 312, 	typeid = 4, 		level = 12,num = 999,},
	[400] = 	{id = 400, 	typeid = 5, 		level = 0 ,num = 2,},
	[401] = 	{id = 401, 	typeid = 5, 		level = 1 ,num = 2,},
	[402] = 	{id = 402, 	typeid = 5, 		level = 2 ,num = 5,},
	[403] = 	{id = 403, 	typeid = 5,		level = 3 ,num = 10,},
	[404] = 	{id = 404, 	typeid = 5, 		level = 4 ,num = 20,},
	[405] = 	{id = 405, 	typeid = 5, 		level = 5 ,num = 35,},
	[406] = 	{id = 406, 	typeid = 5, 		level = 6 ,num = 50,},
	[407] = 	{id = 407, 	typeid = 5, 		level = 7 ,num = 90,},
	[408] = 	{id = 408, 	typeid = 5, 		level = 8 ,num = 150,},
	[409] = 	{id = 409, 	typeid = 5, 		level = 9 ,num = 250,},
	[410] = 	{id = 410, 	typeid = 5, 		level = 10,num = 450,},
	[411] = 	{id = 411, 	typeid = 5, 		level = 11,num = 700,},
	[412] = 	{id = 412, 	typeid = 5, 		level = 12,num = 999,},
	[500] = 	{id = 500, 	typeid = 6,		level = 0 ,num = 1,},
	[501] = 	{id = 501, 	typeid = 6,		level = 1 ,num = 1,},
	[502] = 	{id = 502, 	typeid = 6, 		level = 2 ,num = 5,},
	[503] = 	{id = 503, 	typeid = 6, 		level = 3 ,num = 10,},
	[504] = 	{id = 504, 	typeid = 6, 		level = 4 ,num = 25,},
	[505] = 	{id = 505, 	typeid = 6, 		level = 5 ,num = 50,},
	[506] = 	{id = 506, 	typeid = 6, 		level = 6 ,num = 100,},
	[507] = 	{id = 507, 	typeid = 6, 		level = 7 ,num = 200,},
	[508] = 	{id = 508, 	typeid = 6, 		level = 8 ,num = 500,},
	[509] = 	{id = 509, 	typeid = 6, 		level = 9 ,num = 1000,},
	[510] = 	{id = 510, 	typeid = 6, 		level = 10,num = 5000,},
	[511] = 	{id = 511, 	typeid = 6,		level = 11,num = 10000,},
	[512] = 	{id = 512, 	typeid = 6,		level = 12,num = 100000,},
	[600] = 	{id = 600, 	typeid = 7,		level = 0 ,num = 1,},
	[601] = 	{id = 601, 	typeid = 7,		level = 1 ,num = 1,},
	[602] =	{id = 602, 	typeid = 7,		level = 2 ,num = 5,},
	[603] =	{id = 603, 	typeid = 7,		level = 3 ,num = 10,},
	[604] =	{id = 604, 	typeid = 7,		level = 4 ,num = 25,},
	[605] =	{id = 605, 	typeid = 7,		level = 5 ,num = 50,},
	[606] =	{id = 606, 	typeid = 7,		level = 6 ,num = 100,},
	[607] =	{id = 607, 	typeid = 7,		level = 7 ,num = 200,},
	[608] =	{id = 608, 	typeid = 7,		level = 8 ,num = 500,},
	[609] =	{id = 609, 	typeid = 7,		level = 9 ,num = 1000,},
	[610] = 	{id = 610, 	typeid = 7,		level = 10,num = 5000,},
	[611] = 	{id = 611, 	typeid = 7,		level = 11,num = 10000,},
	[612] = 	{id = 612, 	typeid = 7,		level = 12,num = 100000,},
	[700] = 	{id = 700, 	typeid = 8,		level = 0 ,num = 1,},
	[701] = 	{id = 701, 	typeid = 8,		level = 1 ,num = 1,},
	[702] = 	{id = 702,	typeid = 8,		level = 2 ,num = 5,},
	[703] = 	{id = 703,	typeid = 8,		level = 3 ,num = 10,},
	[704] = 	{id = 704, 	typeid = 8,		level = 4 ,num = 25,},
	[705] = 	{id = 705, 	typeid = 8,		level = 5 ,num = 50,},
	[706] = 	{id = 706, 	typeid = 8,		level = 6 ,num = 100,},
	[707] = 	{id = 707, 	typeid = 8,		level = 7 ,num = 200,},
	[708] = 	{id = 708, 	typeid = 8,		level = 8 ,num = 500,},
	[709] = 	{id = 709, 	typeid = 8,		level = 9 ,num = 1000,},
	[710] = 	{id = 710, 	typeid = 8,		level = 10,num = 5000,},
	[711] = 	{id = 711, 	typeid = 8,		level = 11,num = 10000,},
	[712] = 	{id = 712, 	typeid = 8,		level = 12,num = 100000,},
	[800] = 	{id = 800, 	typeid = 9,		level = 0 ,num = 1,},
	[801] = 	{id = 801, 	typeid = 9,		level = 1 ,num = 1,},
	[802] = 	{id = 802, 	typeid = 9,		level = 2 ,num = 5,},
	[803] = 	{id = 803, 	typeid = 9,		level = 3 ,num = 10,},
	[804] = 	{id = 804, 	typeid = 9,		level = 4 ,num = 25,},
	[805] = 	{id = 805, 	typeid = 9,		level = 5 ,num = 50,},
	[806] = 	{id = 806, 	typeid = 9,		level = 6 ,num = 100,},
	[807] = 	{id = 807, 	typeid = 9,		level = 7 ,num = 200,},
	[808] = 	{id = 808, 	typeid = 9,		level = 8 ,num = 500,},
	[809] = 	{id = 809, 	typeid = 9,		level = 9 ,num = 1000,},
	[810] = 	{id = 810, 	typeid = 9,		level = 10,num = 5000,},
	[811] = 	{id = 811, 	typeid = 9,		level = 11,num = 10000,},
	[812] = 	{id = 812, 	typeid = 9,		level = 12,num = 100000,},
	[900] = 	{id = 900, 	typeid = 10,	level = 0 ,num = 1000,},
	[901] = 	{id = 901, 	typeid = 10,	level = 1 ,num = 1000,},
	[902] =	{id = 902, 	typeid = 10,	level = 2 ,num = 5000,},
	[903] =	{id = 903, 	typeid = 10,	level = 3 ,num = 10000,},
	[904] =	{id = 904, 	typeid = 10,	level = 4 ,num = 50000,},
	[905] =	{id = 905, 	typeid = 10,	level = 5 ,num = 100000,},
	[906] =	{id = 906, 	typeid = 10,	level = 6 ,num = 500000,},
	[907] =	{id = 907, 	typeid = 10,	level = 7 ,num = 1000000,},
	[908] =	{id = 908, 	typeid = 10,	level = 8 ,num = 10000000,},
	[909] =	{id = 909, 	typeid = 10,	level = 9 ,num = 100000000,},
	[910] = 	{id = 910, 	typeid = 10,	level = 10,num = 1000000000,},
	[911] = 	{id = 911, 	typeid = 10,	level = 11,num = 10000000000,},
	[912] = 	{id = 912, 	typeid = 10,	level = 12,num = 100000000000,},
	[1000] = {id = 1000, 	typeid = 11,	level = 0 ,num = 1,},
	[1001] = 	{id = 1001, 	typeid = 11,	level = 1 ,num = 1,},
	[1002] = {id = 1002, 	typeid = 11,	level = 2 ,num = 5,},
	[1003] = {id = 1003, 	typeid = 11,	level = 3 ,num = 10,},
	[1004] = {id = 1004, 	typeid = 11,	level = 4 ,num = 25,},
	[1005] = {id = 1005, 	typeid = 11,	level = 5 ,num = 50,},
	[1006] = {id = 1006, 	typeid = 11,	level = 6 ,num = 100,},
	[1007] = {id = 1007, 	typeid = 11,	level = 7 ,num = 200,},
	[1008] = {id = 1008, 	typeid = 11,	level = 8 ,num = 500,},
	[1009] = {id = 1009, 	typeid = 11,	level = 9 ,num = 1000,},
	[1010] = 	{id = 1010, 	typeid = 11,	level = 10,num = 2000,},
	[1011] = 	{id = 1011, 	typeid = 11,	level = 11,num = 5000,},
	[1012] = 	{id = 1012, 	typeid = 11,	level = 12,num = 10000,},
	[1100] = 	{id = 1100, 	typeid = 12,	level = 0 ,num = 1,},
	[1101] = 	{id = 1101, 	typeid = 12,	level = 1 ,num = 1,},
	[1102] =	{id = 1102, 	typeid = 12,	level = 2 ,num = 2,},
	[1103] =	{id = 1103, 	typeid = 12,	level = 3 ,num = 5,},
	[1104] =	{id = 1104, 	typeid = 12,	level = 4 ,num = 10,},
	[1105] =	{id = 1105, 	typeid = 12,	level = 5 ,num = 15,},
	[1106] =	{id = 1106, 	typeid = 12,	level = 6 ,num = 20,},
	[1107] =	{id = 1107, 	typeid = 12,	level = 7 ,num = 25,},
	[1108] =	{id = 1108, 	typeid = 12,	level = 8 ,num = 30,},
	[1109] =	{id = 1109, 	typeid = 12,	level = 9 ,num = 35,},
	[1110] = 	{id = 1110, 	typeid = 12,	level = 10,num = 40,},
	[1111] =	{id = 1111, 	typeid = 12,	level = 11,num = 45,},
	[1112] =	{id = 1112, 	typeid = 12,	level = 12,num = 50,},
	[1200] =	{id = 1200, 	typeid = 13,	level = 0 ,num = 1,},
	[1201] =	{id = 1201, 	typeid = 13,	level = 1 ,num = 1,},
	[1202] =	{id = 1202, 	typeid = 13,	level = 2 ,num = 5,},
	[1203] =	{id = 1203, 	typeid = 13,	level = 3 ,num = 10,},
	[1204] =	{id = 1204, 	typeid = 13,	level = 4 ,num = 25,},
	[1205] =	{id = 1205, 	typeid = 13,	level = 5 ,num = 50,},
	[1206] =	{id = 1206, 	typeid = 13,	level = 6 ,num = 100,},
	[1207] =	{id = 1207, 	typeid = 13,	level = 7 ,num = 200,},
	[1208] =	{id = 1208, 	typeid = 13,	level = 8 ,num = 500,},
	[1209] =	{id = 1209, 	typeid = 13,	level = 9 ,num = 1000,},
	[1210] =	{id = 1210, 	typeid = 13,	level = 10,num = 2000,},
	[1211] = 	{id = 1211, 	typeid = 13,	level = 11,num = 5000,},
	[1212] =	{id = 1212, 	typeid = 13,	level = 12,num = 10000,},
	
}

--成就类型信息
local TrophyTypeCfg = {
	[0] = {
		Count = "13", -- 种类数量
		Page = "2", --第一页是任务详细信息，第二页开始是成就信息，每页最多显示8个
		MoveSpeed = "60",--成就升级窗口消失速度
		ExsitTime = "3000",--窗口存在时间（包括显示和消失时间）
		StandTime = "2500",--窗口显示时间
		LevelMin = "0", --最低等级，此时显示mask
		LevelMax = "12", --最高等级
		StarSpace = "8", --星星图标的间距
		StarY = "97", --星星图标相对奖杯背景top的距离，星星Y坐标=该奖杯背景Y坐标+StarY
	},
	[1] = {
		typeid = "1", --成就类型id
		name = "STR_TROPHY_NAME_1", --成就名称
		task = "STR_TROPHY_INFO_1", --成就条件说明
	},
	[2] = {
		typeid = "2", --成就类型id
		name = "STR_TROPHY_NAME_2", --成就名称
		task = "STR_TROPHY_INFO_2", --成就条件说明
	},
	[3] = {
		typeid = "3", --成就类型id
		name = "STR_TROPHY_NAME_3", --成就名称
		task = "STR_TROPHY_INFO_3", --成就条件说明
	},
	[4] = {
		typeid = "4", --成就类型id
		name = "STR_TROPHY_NAME_4", --成就名称
		task = "STR_TROPHY_INFO_4", --成就条件说明
	},
	[5] = {
		typeid = "5", --成就类型id
		name = "STR_TROPHY_NAME_5", --成就名称
		task = "STR_TROPHY_INFO_5", --成就条件说明
	},
	[6] = {
		typeid = "6", --成就类型id
		name = "STR_TROPHY_NAME_6", --成就名称
		task = "STR_TROPHY_INFO_6", --成就条件说明
	},
	[7] = {
		typeid = "7", --成就类型id
		name = "STR_TROPHY_NAME_7", --成就名称
		task = "STR_TROPHY_INFO_7", --成就条件说明
	},
	[8] = {
		typeid = "8", --成就类型id
		name = "STR_TROPHY_NAME_8", --成就名称
		task = "STR_TROPHY_INFO_8", --成就条件说明
	},
	[9] = {
		typeid = "9", --成就类型id
		name = "STR_TROPHY_NAME_9", --成就名称
		task = "STR_TROPHY_INFO_9", --成就条件说明
	},
	[10] = {
		typeid = "10", --成就类型id
		name = "STR_TROPHY_NAME_10", --成就名称
		task = "STR_TROPHY_INFO_10", --成就条件说明
	},
	[11] = {
		typeid = "11", --成就类型id
		name = "STR_TROPHY_NAME_11", --成就名称
		task = "STR_TROPHY_INFO_11", --成就条件说明
	},
	[12] = {
		typeid = "12", --成就类型id
		name = "STR_TROPHY_NAME_12", --成就名称
		task = "STR_TROPHY_INFO_12", --成就条件说明
	},
	[13] = {
		typeid = "13", --成就类型id
		name = "STR_TROPHY_NAME_13", --成就名称
		task = "STR_TROPHY_INFO_13", --成就条件说明
	},
	
}


--获取等级成就任务信息
local function GetTrophyTaskCfg(index,key)
	if index == nil or key == nil then
		return
	end
	
	if TrophyTaskCfg[index] == nil or TrophyTaskCfg[index][key] == nil then
		return
	end
	
	return TrophyTaskCfg[index][key]
end

local function GetInfoByTypeAndLevel(typeid, level, key)
	if typeid == nil or level == nil or key == nil then
		return 
	end
	for k,v in pairs(TrophyTaskCfg) do
		if (v.typeid == typeid and v.level == level) then
			return v[key]
		end
	end
end

--获取等级成就类型信息
local function GetTrophyTypeCfg(index,key)
	if index == nil or key == nil then
		return
	end
	
	if TrophyTypeCfg[index] == nil or TrophyTypeCfg[index][key] == nil then
		return
	end
	
	return TrophyTypeCfg[index][key]
end

local SpreadActivityInfo = {
	--对应activity_main.lua里SpreadActivityDlgInfo下的["ActivityId"],
	--BindTask是该活动对应奖池任务id，如果配置了，则领取奖励为所绑定任务的id
	[1001] = {
		-- 任务1配置
		["Mission1"] = {
			--任务ID
			["Id"] = 10001,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 1,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_1",
		},
		-- 任务2配置
		["Mission2"] = {
			--任务ID
			["Id"] = 10002,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 1,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_2",
		},
		-- 任务3配置
		["Mission3"] = {
			--任务ID
			["Id"] = 10003,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 1,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_3",
		},
		-- 任务4配置
		["Mission4"] = {
			--任务ID
			["Id"] = 10004,
			--附属任务ID
			["BindTask"] = 10005,
			--奖励Tip配置
			["AwardID"] = 1,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "",
		},
		-- 界面显示奖池金额的对应任务ID及倍率（万分比）
		["PoolTask"] = {
			--任务ID
			["Id"] = 10005,
			--倍率：万分比
			["Rate"] = 100,
		},
	},
	[1002] = {
		-- 任务1配置
		["Mission1"] = {
			--任务ID
			["Id"] = 10006,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 1,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_1",
		},
		-- 任务2配置
		["Mission2"] = {
			--任务ID
			["Id"] = 10007,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 1,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_2",
		},
		-- 任务3配置
		["Mission3"] = {
			--任务ID
			["Id"] = 10008,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 1,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_3",
		},
		-- 任务4配置
		["Mission4"] = {
			--任务ID
			["Id"] = 10009,
			--附属任务ID
			["BindTask"] = 10010,
			--奖励Tip配置
			["AwardID"] = 1,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "",
		},
		-- 界面显示奖池金额的对应任务ID及倍率（万分比）
		["PoolTask"] = {
			--任务ID
			["Id"] = 10010,
			--倍率：万分比
			["Rate"] = 100,
		},
	},
	[1003] = {
		-- 任务1配置
		["Mission1"] = {
			--任务ID
			["Id"] = 10011,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 500,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_1",
		},
		-- 任务2配置
		["Mission2"] = {
			--任务ID
			["Id"] = 10012,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 1000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_2",
		},
		-- 任务3配置
		["Mission3"] = {
			--任务ID
			["Id"] = 10013,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 3000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_3",
		},
		-- 任务4配置
		["Mission4"] = {
			--任务ID
			["Id"] = 10014,
			--附属任务ID
			["BindTask"] = 10015,
			--奖励Tip配置
			["AwardID"] = 7,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "",
		},
		-- 界面显示奖池金额的对应任务ID及倍率（万分比）
		["PoolTask"] = {
			--任务ID
			["Id"] = 10015,
			--倍率：万分比
			["Rate"] = 100,
		},
	},
	[1004] = {
		-- 任务1配置
		["Mission1"] = {
			--任务ID
			["Id"] = 10016,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 500,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_1",
		},
		-- 任务2配置
		["Mission2"] = {
			--任务ID
			["Id"] = 10017,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 1000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_2",
		},
		-- 任务3配置
		["Mission3"] = {
			--任务ID
			["Id"] = 10018,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 3000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_3",
		},
		-- 任务4配置
		["Mission4"] = {
			--任务ID
			["Id"] = 10019,
			--附属任务ID
			["BindTask"] = 10020,
			--奖励Tip配置
			["AwardID"] = 7,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "",
		},
		-- 界面显示奖池金额的对应任务ID及倍率（万分比）
		["PoolTask"] = {
			--任务ID
			["Id"] = 10020,
			--倍率：万分比
			["Rate"] = 100,
		},
	},
	[1005] = {
		-- 任务1配置
		["Mission1"] = {
			--任务ID
			["Id"] = 10021,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 500,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_1",
		},
		-- 任务2配置
		["Mission2"] = {
			--任务ID
			["Id"] = 10022,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 1000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_2",
		},
		-- 任务3配置
		["Mission3"] = {
			--任务ID
			["Id"] = 10023,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 3000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_3",
		},
		-- 任务4配置
		["Mission4"] = {
			--任务ID
			["Id"] = 10024,
			--附属任务ID
			["BindTask"] = 10025,
			--奖励Tip配置
			["AwardID"] = 7,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "",
		},
		-- 界面显示奖池金额的对应任务ID及倍率（万分比）
		["PoolTask"] = {
			--任务ID
			["Id"] = 10025,
			--倍率：万分比
			["Rate"] = 100,
		},
	},
	[1006] = {
		-- 任务1配置
		["Mission1"] = {
			--任务ID
			["Id"] = 10026,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 500,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_1",
		},
		-- 任务2配置
		["Mission2"] = {
			--任务ID
			["Id"] = 10027,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 1000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_2",
		},
		-- 任务3配置
		["Mission3"] = {
			--任务ID
			["Id"] = 10028,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 3000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_3",
		},
		-- 任务4配置
		["Mission4"] = {
			--任务ID
			["Id"] = 10029,
			--附属任务ID
			["BindTask"] = 10030,
			--奖励Tip配置
			["AwardID"] = 7,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "",
		},
		-- 界面显示奖池金额的对应任务ID及倍率（万分比）
		["PoolTask"] = {
			--任务ID
			["Id"] = 10030,
			--倍率：万分比
			["Rate"] = 50,
		},
	},
	[1007] = {
		-- 任务1配置
		["Mission1"] = {
			--任务ID
			["Id"] = 10031,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 500,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_1",
		},
		-- 任务2配置
		["Mission2"] = {
			--任务ID
			["Id"] = 10032,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 1000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_2",
		},
		-- 任务3配置
		["Mission3"] = {
			--任务ID
			["Id"] = 10033,
			--附属任务ID
			["BindTask"] = 0,
			--奖励Tip配置
			["AwardID"] = 4,
			["AwardNum"] = 3000,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "STR_TEXAS_SPREAD_MISSION_DES_3",
		},
		-- 任务4配置
		["Mission4"] = {
			--任务ID
			["Id"] = 10034,
			--附属任务ID
			["BindTask"] = 10035,
			--奖励Tip配置
			["AwardID"] = 7,
			["AwardNum"] = 1,
			--EffectCanGet可领取时给任务添加一个光效 "gantanhao"为测试光效
			["EffectCanGet"] = "gantanhao",
			--任务描述
			["MissionDes"] = "",
		},
		-- 界面显示奖池金额的对应任务ID及倍率（万分比）
		["PoolTask"] = {
			--任务ID
			["Id"] = 10035,
			--倍率：万分比
			["Rate"] = 20,
		},
	},
}

--根据任务id获取该任务所在的任务X位置
local function GetIndexBySpreadTaskId(activity, id)
	local info = SpreadActivityInfo[activity]

	if info == nil then
		return 0
	end

	if id == info["Mission1"]["Id"] then
		return 1
	end

	if id == info["Mission2"]["Id"] then
		return 2
	end

	if id == info["Mission3"]["Id"] then
		return 3
	end

	if id == info["Mission4"]["Id"] then
		return 4
	end
end

--获取推广活动界面每个活动的任务信息
local function GetSpreadActivityInfo(id, mission, key)
	local info = SpreadActivityInfo[id]
	if info == nil then
		return nil
	end

	local result = info[mission][key]

	if result == nil then
		return nil
	end

	return result
end

--流水活动显示配置
local LiushuifanliCfg = {
	[1] = {
		Award = 10000, 	--奖励
		Standard = 500000000,	--领取流水
		Pro = 4,		--可领取后显示的进度
	},
	[2] = {
		Award = 20000,
		Standard = 1000000000,
		Pro = 15,		--可领取后显示的进度
	},
	[3] = {
		Award = 80000,
		Standard = 1500000000,
		Pro = 27,		--可领取后显示的进度
	},
	[4] = {
		Award = 200000,
		Standard = 2000000000,
		Pro = 38,		--可领取后显示的进度
	},
	[5] = {
		Award = 500000,
		Standard = 3500000000,
		Pro = 47,		--可领取后显示的进度
	},
	[6] = {
		Award = 1500000,
		Standard = 5000000000,
		Pro = 58,		--可领取后显示的进度
	},
	[7] = {
		Award = 3500000,
		Standard = 10000000000,
		Pro = 69,		--可领取后显示的进度
	},
	[8] = {
		Award = 8000000,
		Standard = 20000000000,
		Pro = 80,		--可领取后显示的进度
	},
	[9] = {
		Award = 20000000,
		Standard = 50000000000,
		Pro = 88,		--可领取后显示的进度
	},
	[10] = {
		Award = 50000000,
		Standard = 100000000000,
		Pro = 100,		--可领取后显示的进度
	},
}

local function GetLiushuifanliCfg(i, k)
	if LiushuifanliCfg[i] == nil or k == nil then
		return nil
	end
	
	return LiushuifanliCfg[i][k]
end

--流水活动每页进度显示比例配置 比例总体是100
local LiushuifanliProCfg = {
	[1] = 43,
	[2] = 84,
	[3] = 100,
}

local function GetLiushuifanliProCfg(i)	
	return LiushuifanliProCfg[i]
end

local ActivityTask = {
	GetTaskInfoCfg = GetTaskInfoCfg,
	GetAchievementTaskCount = GetAchievementTaskCount,
	GetAchievementTaskCfg = GetAchievementTaskCfg,
	GetTaskBtnCfg = GetTaskBtnCfg,
	IsAchievementTask = IsAchievementTask,
	GetSeventDayTaskCfg = GetSeventDayTaskCfg,
	IsSeventDayTask = IsSeventDayTask,
	GetAutoRunPos = GetAutoRunPos,
	GetIsTask = GetIsTask,
	GetTrophyTypeCfg = GetTrophyTypeCfg,
	GetTrophyTaskCfg = GetTrophyTaskCfg,
	GetInfoByTypeAndLevel = GetInfoByTypeAndLevel,
	GetDailyTaskInfoCfg = GetDailyTaskInfoCfg,
	GetDailyTaskCount = GetDailyTaskCount,
	GetNewTaskCount = GetNewTaskCount,
	GetNewTaskInfoCfg = GetNewTaskInfoCfg,
	GetLimitTimeTaskCount = GetLimitTimeTaskCount,
	GetLimitTimeBtnOffsetY = GetLimitTimeBtnOffsetY,
	GetLimitTimeTaskInfoCfg = GetLimitTimeTaskInfoCfg,
	IsHaveTaskCfg = IsHaveTaskCfg,
	GetActivityLimitCfg = GetActivityLimitCfg,
	GetLimitTimeActivityCfg = GetLimitTimeActivityCfg,
	GetSpreadActivityInfo = GetSpreadActivityInfo,
	GetIndexBySpreadTaskId = GetIndexBySpreadTaskId,
	GetLiushuifanliCfg = GetLiushuifanliCfg,
	GetLiushuifanliProCfg = GetLiushuifanliProCfg,
}

-- C++程序使用的global函数名
activity_task_GetTaskInfoCfg = ActivityTask.GetTaskInfoCfg
activity_task_GetAchievementTaskCount = ActivityTask.GetAchievementTaskCount
activity_task_GetSpreadActivityInfo = ActivityTask.GetSpreadActivityInfo
activity_task_GetIndexBySpreadTaskId = ActivityTask.GetIndexBySpreadTaskId
activity_task_GetAchievementTaskCfg = ActivityTask.GetAchievementTaskCfg
activity_task_GetTaskBtnCfg = ActivityTask.GetTaskBtnCfg
activity_task_IsAchievementTask = ActivityTask.IsAchievementTask
activity_task_GetSeventDayTaskCfg = ActivityTask.GetSeventDayTaskCfg
activity_task_IsSeventDayTask = ActivityTask.IsSeventDayTask
activity_task_GetIsTask = ActivityTask.GetIsTask
activity_task_GetAutoRunPos = ActivityTask.GetAutoRunPos
activity_task_GetTrophyTypeCfg = ActivityTask.GetTrophyTypeCfg
activity_task_GetTrophyTaskCfg = ActivityTask.GetTrophyTaskCfg
activity_task_GetInfoByTypeAndLevel = ActivityTask.GetInfoByTypeAndLevel
activity_task_GetDailyTaskInfo = ActivityTask.GetDailyTaskInfoCfg
activity_task_GetDailyTaskCount = ActivityTask.GetDailyTaskCount
activity_task_GetNewTaskCount = ActivityTask.GetNewTaskCount
activity_task_GetNewTaskInfoCfg = ActivityTask.GetNewTaskInfoCfg
activity_task_IsHaveTaskCfg = ActivityTask.IsHaveTaskCfg
activity_task_GetLimitTimeTaskCount = ActivityTask.GetLimitTimeTaskCount
activity_task_GetLimitTimeBtnOffsetY = ActivityTask.GetLimitTimeBtnOffsetY
activity_task_GetLimitTimeTaskInfoCfg = ActivityTask.GetLimitTimeTaskInfoCfg
activity_task_GetActivityLimitCfg = ActivityTask.GetActivityLimitCfg
activity_task_GetLimitTimeActivityCfg = ActivityTask.GetLimitTimeActivityCfg
activity_task_GetLiushuifanliCfg = ActivityTask.GetLiushuifanliCfg
activity_task_GetLiushuifanliProCfg = ActivityTask.GetLiushuifanliProCfg
return ActivityTask
